#### D.4.27.11 minAss

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  minAss(I);

Return:
  a list, the minimal associated prime ideals of proper ideal I, otherwise ideal(1)

Note:
  a wrapper for trying both: minAssGTZ and minAssChar

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    list pr = minAss(i);
    pr;
    ==> [1]:
    ==>    _[1]=y+1
    ==>    _[2]=z2+1
    ==> [2]:
    ==>    _[1]=z2-y
    ==>    _[2]=yz+2
    ==>    _[3]=y2+2z

User manual for Singular version 4.4.1, 2025, generated by texi2html.